質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.13%

Node.js Expressのインストール確認

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,872

score 32

 前提・実現したいこと

Node.jsでWebアプリケーションを作成しています。
Expressを使おうと思いインストールしたのですが思った通りに動きません。
そもそもちゃんとインストール出来ているかが怪しい状況で
インストール出来ているかどうかを確認したいです。

 発生している問題・エラーメッセージ

こちらのQiitaの記事では

express --version


と入力するとバージョンが返ってくることになっていますが
私の環境では以下のようになります。

express : 用語 'express' は、コマンドレット、関数、スクリプト ファイル、または操作可能なプログラムの名前として認識され
ません。名前が正しく記述されていることを確認し、パスが含まれている場合はそのパスが正しいことを確認してから、再試行して
ください。
発生場所 行:1 文字:1
+ express --version
+ ~~~~~~~
    + CategoryInfo          : ObjectNotFound: (express:String) [], CommandNotFoundException
    + FullyQualifiedErrorId : CommandNotFoundException

 試したこと1

npm install -g express


↑これは当たり前ですよね。。

 試したこと2

環境変数の「Path」にexpress.jsを含むディレクトリを追加したのち

express --version


と入力してみたら今度は別のメッセージが表示されました。

イメージ説明

 補足情報(FW/ツールのバージョンなど)

環境
Windows Server 2016 Datacenter 64bit
Nodist を使ってNodeをインストールしました。

なんとも初歩的な質問で申し訳ありませんが
・インストール出来ているのか
・出来てなければどうすれば良いのか
をご教示下されば幸いです。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

expressにはbinがありません。コマンドとして使いたいなら、express-generatorをインストールする必要があります。
そのQiitaのページでは、express-generatorをインストールする前にバージョン確認しており、順番が逆になっているようです。バージョン確認の下にある、「express-generatorのインストール」を先にやってみてください。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/02/10 18:40

    ご回答ありがとうございました。
    npm install -g express-generator
    を試してから バージョン確認してみると出てくるようになりました。
    ベストアンサーにさせていただきました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.13%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る